# Class PRS_Statement
extends PRS_ExpressionElement

PRS_Statement contains the text describing a problem, any relevant background information, and its resolution. Statements are units of text ranging from brief sentences or phrases to paragraphs or pages. There is no limit to the number of PRS_Statements within a Solution, as long as they support the intent and focus of their root class. Root classes include: PRS_Reference, PRS_Problem or PRS_Resolution. PRS_Statements may be grouped together to build compound 'sentences'. For example, StatementA = Printer output is blotchy. StatementB = Print jobs per day are less than 50. ExpressionA = StatementA AND StatementB.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--PRS_ExchangeElement
|
+--PRS_ExpressionElement
|
+--PRS_Statement

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

PRS_Statement contains the text describing a problem, any relevant background information, and its resolution. Statements are units of text ranging from brief sentences or phrases to paragraphs or pages. There is no limit to the number of PRS_Statements within a Solution, as long as they support the intent and focus of their root class. Root classes include: PRS_Reference, PRS_Problem or PRS_Resolution. PRS_Statements may be grouped together to build compound 'sentences'. For example, StatementA = Printer output is blotchy. StatementB = Print jobs per day are less than 50. ExpressionA = StatementA AND StatementB.

UMLPackagePath | string | PRS::Support
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
FeatureValue | string |
Description | string | When the PRS_Adminstrative object indicates Level 2 compliance, FeatureValue is the specific value selected from the associated PRS_Feature. This property is ignored if there is no PRS_Feature associated with this PRS_Statement.
Order | string |
Description | string | Order is used to sequence PRS_Statements associated with a single PRS_Expression to allow a Consumer to process the information in the order desired by the Producer.
Relevance | uint16 |
Description | string | Importance of this Statement. The value of this property shall be an integer value in the range of 0 to 100, inclusive.
MaxValue | sint64 | 100
MinValue | sint64 | 0
StatementOperator | string |
Description | string | When the PRS_Adminstrative object indicates Level 2 compliance, StatementOperator describes the relationship between an associated PRS_Feature and the FeatureValue property. This property is ignored if there is no PRS_Feature associated with this PRS_Statement.
StatementRole | uint8 |

Description

string

StatementRole describes how the PRS_Statement relates to the larger context. For example, is the PRS_Statement describing a Fix or a Symptom? 'Description' is generic text without a specific diagnostic application. 'Symptom' describes initial observable incident or behavior that the user reports. 'Error_Message' is a specific type of symptom that the user reports, describing the specific error condition. 'Objective' is what the user wants to accomplish, often expressed as a positive condition. FOr example, how to print on a network. 'Evidence' is information that is collected to diagnose the problem after the symptom is reported. 'Cause' is a description of the underlying facts or factors that engender or relate this behavior. 'Work_around' is information that lets the user work, but does not correct the problem completely. 'Fix' is information that fixes the problem completely. 'Answer' is the information given to the user such as steps to perform, wording to support their environment and understanding. 'Keyword' is a specific classification using defined words or phrases. 'Changes' describe recent changes in the environment which could affect the problem or resolution. 'Title' is the title applying to associated PRS_Statements (usually associated via an 'and' expression.

ValueMap | string | 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 254, 255
Values | string | Description, Symptom, Error_Message, Objective, Evidence, Cause, Work_Around, Fix, Answer, Keyword, Changes, Title, Other, Unknown
Text | string |
Description | string | The descriptive text used for the PRS_Statement.

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
DirtyFlag | uint8 | PRS_ExchangeElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
PRSUniqueName | string | PRS_ExchangeElement

## Class Methods